>From a7c55ec8c93b1b7bce885f099b7ca7c9aabf2d92 Mon Sep 17 00:00:00 2001
From: Wolfgang Walther <walther@technowledgy.de>
Date: Thu, 5 Nov 2020 15:48:27 +0100
Subject: [PATCH 2/2] doc: change id of section 9.24 to
 functions-row-array-comparisons

Section 9.2 and 9.24 have nearly identical ids in functions-comparison
and functions-comparisons.
---
 doc/src/sgml/array.sgml  | 2 +-
 doc/src/sgml/func.sgml   | 4 ++--
 doc/src/sgml/syntax.sgml | 2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/doc/src/sgml/array.sgml b/doc/src/sgml/array.sgml
index 56185b9b03..6d81e58ef4 100644
--- a/doc/src/sgml/array.sgml
+++ b/doc/src/sgml/array.sgml
@@ -616,7 +616,7 @@ SELECT * FROM sal_emp WHERE pay_by_quarter[1] = 10000 OR
 
   However, this quickly becomes tedious for large arrays, and is not
   helpful if the size of the array is unknown. An alternative method is
-  described in <xref linkend="functions-comparisons"/>. The above
+  described in <xref linkend="functions-row-array-comparisons"/>. The above
   query could be replaced by:
 
 <programlisting>
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index bf6004f321..39ec76c487 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -20099,7 +20099,7 @@ WHERE EXISTS (SELECT 1 FROM tab2 WHERE col2 = tab1.col2);
  </sect1>
 
 
- <sect1 id="functions-comparisons">
+ <sect1 id="functions-row-array-comparisons">
   <title>Row and Array Comparisons</title>
 
   <indexterm>
@@ -20161,7 +20161,7 @@ WHERE EXISTS (SELECT 1 FROM tab2 WHERE col2 = tab1.col2);
    Boolean (true/false) results.
   </para>
 
-  <sect2 id="functions-comparisons-in-scalar">
+  <sect2 id="functions-row-array-comparisons-in-scalar">
    <title><literal>IN</literal></title>
 
 <synopsis>
diff --git a/doc/src/sgml/syntax.sgml b/doc/src/sgml/syntax.sgml
index 8b5aa30ab4..31b1da8011 100644
--- a/doc/src/sgml/syntax.sgml
+++ b/doc/src/sgml/syntax.sgml
@@ -2437,7 +2437,7 @@ SELECT ROW(table.*) IS NULL FROM table;  -- detect all-null rows
 
 SELECT ROW(table.*) IS NOT NULL FROM table; -- detect all-non-null rows
 </programlisting>
-   For more detail see <xref linkend="functions-comparisons"/> (comparison) and <xref linkend="functions-comparison"/> (<literal>IS [NOT] NULL</literal>).
+   For more detail see <xref linkend="functions-row-array-comparisons"/> (comparison) and <xref linkend="functions-comparison"/> (<literal>IS [NOT] NULL</literal>).
    Row constructors can also be used in connection with subqueries,
    as discussed in <xref linkend="functions-subquery"/>.
   </para>
-- 
2.29.2

